Skip to main content
`Ctrl`+`K`

# BVMultInPlaceHermitianTranspose

Update a set of vectors as \(V_{:,s:e-1} = V Q_{:,s:e-1}^*\).

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVMultInPlaceHermitianTranspose(BV V,Mat Q,PetscInt s,PetscInt e)

Logically Collective

## Input Parameters

- Q - a sequential dense matrix

- s - first column of `V` to be overwritten

- e - first column of `V` not to be overwritten

## Input/Output Parameter

- V - basis vectors

## Notes

This is a variant of `BVMultInPlace()` where the conjugate transpose of `Q` is used.

## See Also

BV: Basis Vectors, `BVMultInPlace()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvops.c

## Implementations

BVMultInPlaceHermitianTranspose_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVMultInPlaceHermitianTranspose_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVMultInPlaceHermitianTranspose_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVMultInPlaceHermitianTranspose_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c
BVMultInPlaceHermitianTranspose_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages